Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ZSpinParticleFactory Class Reference
Inheritance diagram for ZSpinParticleFactory:

## Public Member Functions
| ZSpinParticleFactory ()
| constructor
| ZSpinParticleFactory (const ZSpinParticleFactory &copy)
| copy constructor
virtual | ~ZSpinParticleFactory ()
| destructor
void | enable_angular_velocity (bool bEnabled)
PN_stdfloat | get_angular_velocity () const
bool | get_angular_velocity_enabled () const
PN_stdfloat | get_angular_velocity_spread () const
PN_stdfloat | get_final_angle () const
PN_stdfloat | get_final_angle_spread () const
PN_stdfloat | get_initial_angle () const
PN_stdfloat | get_initial_angle_spread () const
virtual void | output (std::ostream &out) const
| Write a string representation of this instance to <out>.
void | set_angular_velocity (PN_stdfloat v)
void | set_angular_velocity_spread (PN_stdfloat spread)
void | set_final_angle (PN_stdfloat angle)
void | set_final_angle_spread (PN_stdfloat spread)
void | set_initial_angle (PN_stdfloat angle)
void | set_initial_angle_spread (PN_stdfloat spread)
virtual void | write (std::ostream &out, int indent=0) const
| Write a string representation of this instance to <out>.
Public Member Functions inherited from BaseParticleFactory
virtual | ~BaseParticleFactory ()
| destructor
PN_stdfloat | get_lifespan_base () const
| public
PN_stdfloat | get_lifespan_spread () const
| public
PN_stdfloat | get_mass_base () const
| public
PN_stdfloat | get_mass_spread () const
| public
PN_stdfloat | get_terminal_velocity_base () const
| public
PN_stdfloat | get_terminal_velocity_spread () const
| public
void | populate_particle (BaseParticle *bp)
| public
void | set_lifespan_base (PN_stdfloat lb)
| public
void | set_lifespan_spread (PN_stdfloat ls)
| public
void | set_mass_base (PN_stdfloat mb)
| public
void | set_mass_spread (PN_stdfloat ms)
| public
void | set_terminal_velocity_base (PN_stdfloat tvb)
| public
void | set_terminal_velocity_spread (PN_stdfloat tvs)
| public
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Additional Inherited Members
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.

## Detailed Description

Definition at line 22 of file zSpinParticleFactory.h.

## Constructor & Destructor Documentation

## ◆ ZSpinParticleFactory() [1/2]

ZSpinParticleFactory::ZSpinParticleFactory | ( |  | ) |

constructor

Definition at line 20 of file zSpinParticleFactory.cxx.

Referenced by ZSpinParticleFactory().

## ◆ ZSpinParticleFactory() [2/2]

ZSpinParticleFactory::ZSpinParticleFactory | ( | const ZSpinParticleFactory & | copy | ) |

copy constructor

Definition at line 35 of file zSpinParticleFactory.cxx.

References ZSpinParticleFactory().

## ◆ ~ZSpinParticleFactory()

ZSpinParticleFactory::~ZSpinParticleFactory | ( |  | ) |
| virtual

destructor

Definition at line 50 of file zSpinParticleFactory.cxx.

## Member Function Documentation

## ◆ enable_angular_velocity()

void ZSpinParticleFactory::enable_angular_velocity | ( | bool | bEnabled | ) |
| inline

Definition at line 102 of file zSpinParticleFactory.I.

## ◆ get_angular_velocity()

PN_stdfloat ZSpinParticleFactory::get_angular_velocity | ( |  | ) | const
| inline

Definition at line 81 of file zSpinParticleFactory.I.

## ◆ get_angular_velocity_enabled()

bool ZSpinParticleFactory::get_angular_velocity_enabled | ( |  | ) | const
| inline

Definition at line 107 of file zSpinParticleFactory.I.

## ◆ get_angular_velocity_spread()

PN_stdfloat ZSpinParticleFactory::get_angular_velocity_spread | ( |  | ) | const
| inline

Definition at line 91 of file zSpinParticleFactory.I.

## ◆ get_final_angle()

PN_stdfloat ZSpinParticleFactory::get_final_angle | ( |  | ) | const
| inline

Definition at line 57 of file zSpinParticleFactory.I.

## ◆ get_final_angle_spread()

PN_stdfloat ZSpinParticleFactory::get_final_angle_spread | ( |  | ) | const
| inline

Definition at line 73 of file zSpinParticleFactory.I.

## ◆ get_initial_angle()

PN_stdfloat ZSpinParticleFactory::get_initial_angle | ( |  | ) | const
| inline

Definition at line 49 of file zSpinParticleFactory.I.

## ◆ get_initial_angle_spread()

PN_stdfloat ZSpinParticleFactory::get_initial_angle_spread | ( |  | ) | const
| inline

Definition at line 65 of file zSpinParticleFactory.I.

## ◆ output()

void ZSpinParticleFactory::output | ( | std::ostream & | out | ) | const
| virtual

Write a string representation of this instance to <out>.

Reimplemented from BaseParticleFactory.

Definition at line 78 of file zSpinParticleFactory.cxx.

## ◆ set_angular_velocity()

void ZSpinParticleFactory::set_angular_velocity | ( | PN_stdfloat | v | ) |
| inline

Definition at line 86 of file zSpinParticleFactory.I.

## ◆ set_angular_velocity_spread()

void ZSpinParticleFactory::set_angular_velocity_spread | ( | PN_stdfloat | spread | ) |
| inline

Definition at line 96 of file zSpinParticleFactory.I.

## ◆ set_final_angle()

void ZSpinParticleFactory::set_final_angle | ( | PN_stdfloat | angle | ) |
| inline

Definition at line 25 of file zSpinParticleFactory.I.

## ◆ set_final_angle_spread()

void ZSpinParticleFactory::set_final_angle_spread | ( | PN_stdfloat | spread | ) |
| inline

Definition at line 41 of file zSpinParticleFactory.I.

## ◆ set_initial_angle()

void ZSpinParticleFactory::set_initial_angle | ( | PN_stdfloat | angle | ) |
| inline

Definition at line 17 of file zSpinParticleFactory.I.

## ◆ set_initial_angle_spread()

void ZSpinParticleFactory::set_initial_angle_spread | ( | PN_stdfloat | spread | ) |
| inline

Definition at line 33 of file zSpinParticleFactory.I.

## ◆ write()

void ZSpinParticleFactory::write | ( | std::ostream & | out,
|  | int | indent = 0 ) const
| virtual

Write a string representation of this instance to <out>.

Reimplemented from BaseParticleFactory.

Definition at line 88 of file zSpinParticleFactory.cxx.

References indent(), and BaseParticleFactory::write().

The documentation for this class was generated from the following files:

- panda/src/particlesystem/zSpinParticleFactory.h
- panda/src/particlesystem/zSpinParticleFactory.cxx
- panda/src/particlesystem/zSpinParticleFactory.I